import { request } from "../utils/request"

// /api/baidu/checkPhoto
// /api/userDigital/checkPhoto  
// /api/upload/awsImgUpload   //上传,先上传后保存
// /api/userDigital/addImage  //保存
// {
// "image":
// }
// 百度人脸识别
export function baiduPhotoApi(data) {
  const formData = new FormData();
  formData.append('file', data);
  return request({
    url: 'api/baidu/checkPhoto',
    method: 'post',
    data: formData,
    headers: {
      'Content-Type': 'application/form-data'
    }
  });
}

export function addImageApi(data) {
  return request({
    url: 'api/userDigital/addImage',
    method: 'post',
    data
  });
}

/**
* @description:获取登陆，注册送多少金币的接口
* @param  "projectType":5,//智像固定5 "type":1-注册，2-邀请
* @return: data
*/
export function getProjectConfigApi(data) {
  return request({
    url: `api/glodConfig/getProjectConfig`,
    method: 'post',
    data
  })
}

/**
* @description:获取照片生成次数,判断是不是首次生成
* @param  "projectType":5,//智像固定5 "type":1-注册，2-邀请
* @return: data
*/
export function getCountApi() {
  return request({
    url: `api/digitalAvatarPhoto/getCount`,
    method: 'get',
  })
}