// main.js
import uviewPlus from 'uview-plus'
import App from './App'
import "./style/my.scss";
//#region VUE3
import { createSSRApp } from 'vue'
import { store } from '../src/store/index'
import share from "../src/utils/share"

export function createApp() {
	const app = createSSRApp(App)
	app.use(uviewPlus)
	app.use(store)
	app.mixin(share)
	return {
		app
	}
}

//#endregion -----------------------


