import { request } from "../utils/request"

// 获取风格列表
export function getListApi(pageNum, pageSize, sex) {
  return request({
    url: `api/digitalAvatarMould/list?pageNum=${pageNum}&pageSize=${pageSize}&sex=${sex}`,
    method: 'GET',
  })
}

// 根据iD获取详情
export function findByIdApi(id) {
  return request({
    url: `api/digitalAvatarMould/findById?id=${id}`,
    method: 'GET',
  })
}

// 查询用户头像照片,生成写真时需要 
export function findImageApi() {
  return request({
    url: `api/userDigital/findImage`,
    method: 'GET',
  })
}

// 生成写真
export function createPhotoApi(data) {
  return request({
    url: `api/digitalAvatarPhoto/createPhoto`,
    method: 'POST',
    data
  })
}